Subject: Re: [PATCH 2/3] powermac: proper time of day after resume

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 24 Jan 2007 19:51:40 +1100

On Wed, 2007-01-24 at 09:46 +0100, Johannes Berg wrote:
> On Wed, 2007-01-24 at 17:34 +1100, Benjamin Herrenschmidt wrote:
> > On Wed, 2006-12-13 at 13:38 +0100, Johannes Berg wrote:
> > > plain text document attachment (time-resume.patch)
> > > This patch converts the time restore code from a PMU notifier to a regular
> > > sys device so I can profit from it even when I don't suspend through the
> > > PMU, i.e. suspend to disk.
> > > 
> > > Also another step towards dropping pmu_sleep_notifier completely.
> > 
> > I'd rather do it differently: On suspend, read the RTC and save the
> > value. On resume, read it again, diff the values, and add that to the
> > current time.
> 
> Alright, I can do that too, this simply shuffled the old code around.
> Will have a look at it.

Ok. I just don't like the pmac_get_boot_time() calls around all over the
place :-) That stuff is a hack I'd like to only call once at boot.

Ben.